  library(startR)
  
  repos <- '/perm/ms/spesiccf/c3ah/qa4seas/data/seasonal/g1x1/ecmf-system4/msmm/atmos/seas/tprate/12/ecmf-system4_msmm_atmos_seas_sfc_$date$_tprate_g1x1_init12.nc'
  
  data <- Start(dat = repos,
                var = 'tprate',
                date = 'all',
                time = 'all',
                number = 'all',
                latitude = 'all',
                longitude = 'all',
                return_vars = list(time = 'date'))
  
  dates <- attr(data, 'Variables')$common$time
  
  repos <- '/perm/ms/spesiccf/c3ah/qa4seas/data/ecmf-ei_msmm_atmos_seas_sfc_19910101-20161201_t2m_g1x1_init02.nc'
  
  obs <- Start(dat = repos,
               var = 't2m',
               time = values(dates),
               latitude = 'all',
               longitude = 'all',
               split_multiselected_dims = TRUE)
  
  crps <- function(x, y) {
    mean(SpecsVerification::EnsCrps(x, y, R.new = Inf))
  }
  
  s <- Step(crps, target_dims = list(c('date', 'number'), c('date')),
                  output_dims = NULL)
  wf <- AddStep(list(data, obs), s)
  
  r <- Compute(wf,
               chunks = list(latitude = 10,
                             longitude = 3),
               cluster = list(queue_host = 'cca',
                              queue_type = 'pbs',
                              max_jobs = 10,
                              init_commands = list('module load ecflow'),
                              r_module = 'R/3.3.1',
                              extra_queue_params = list('#PBS -l EC_billing_account=spesiccf')),
               ecflow_output_dir = '/perm/ms/spesiccf/c3ah/startR_test/',
               is_ecflow_output_dir_shared = FALSE
              )

